Subject: Re: bug#18880: 25.0.50; inotify-based file notifications missing sometimes

From: Michael Albinus <[email-masked]>
Date: Tue, 13 Jan 2015 11:29:52 +0100

Dima Kogan <[email-masked]> writes:

> The issue is that emacs doesn't ask inotify to look at the two files, it
> asks it to look at the containing directory (/tmp in both cases),
> filtering out all the files we don't care about later. inotify is being
> intelligent, notices that we're asking to monitor the same object twice
> (/tmp), and simply returns the same descriptor a second time. Emacs is
> assuming a unique descriptor, and the result is that we only get
> notifications for one file.

I've committed a patch to the emacs-24 branch; could you, please, check?

Best regards, Michael.